package com.ruoyi.system.service;

import com.ruoyi.system.domain.bo.CockpitActivityQueryBo;
import com.ruoyi.system.domain.vo.ZkActivityCountVo;

import java.util.List;

/**
 * 活动详情主体Service接口
 *
 * @author ruoyi
 * @date 2021-10-27
 */
public interface IZkActivityInfoCountService {

    Long selectActivityWithContentCount(CockpitActivityQueryBo queryBo);

    Long selectActivityAttendanceAvg(CockpitActivityQueryBo queryBo);

    Long selectActivityAttendanceAvgByTypeList(CockpitActivityQueryBo queryBo);

    Long selectActivityLeaveAvg(CockpitActivityQueryBo queryBo);

    List<ZkActivityCountVo> selectSpecialActivityStatus(CockpitActivityQueryBo queryBo);

    Long selectActivityDuration(CockpitActivityQueryBo queryBo);

    List<ZkActivityCountVo> selectActivityEvaluate(CockpitActivityQueryBo queryBo);

    Long selectActivityObjUserUnCount(CockpitActivityQueryBo queryBo);
}
